Page MenuHomePhabricator

Civi Prospect Field - Saving Error
Closed, ResolvedPublic2 Story Points

Description

Event Timeline

astillwell raised the priority of this task from to High.
astillwell updated the task description. (Show Details)
astillwell added a subscriber: astillwell.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2015, 9:04 PM
awight set Security to None.Sep 15 2015, 5:14 PM
awight edited a custom field.

Eileen - this is a bug that's important for us. It would be great to resolve before December if we can.

atgo merged a task: Restricted Task.Oct 14 2015, 9:49 PM
atgo moved this task from Backlog to Important on the Wikimedia-Fundraising-CiviCRM board.
atgo added subscribers: LeanneS, CaitVirtue.

I just tried to see if this error occurs on 4.6 on staging but I couldn't figure out how to replicate it there - are there more instructions? Or does just searching in 4.2/live cause this error?

@awight are you saying you think this might be fixed in 4.6?

I think it's worth retesting in 4.6 - I couldn't replicate it on 4.6 - but I may have not understood the steps

@astillwell
Hi! Please send us the URL to the contact you're messing with here, so we can try to reproduce the bug. And, could you try saving changes to the prospect text again?

atgo closed this task as Resolved.Nov 25 2015, 7:00 PM
atgo claimed this task.

@astillwell and I chatted about this briefly and she was not able to replicate. Closing for now (assuming fixed with 4.6), but we can reopen if this comes up again.

CaitVirtue reopened this task as Open.Mar 3 2016, 10:44 PM

{F3516536}Reopening, as I think something related is happening again. SUPER annoying to add a bunch of info and then have it lost on the save. If I add info one bullet at a time, sometimes it's ok. But multiple lines of info becomes a problem.

@CaitVirtue
I'm sorry, but your activity was a bit suspicious. We can't make exceptions to this rule ;-)

I award @awight a prickly cactus bc I can't come down there and flick his ear for that comment right at the moment.

atgo removed atgo as the assignee of this task.Mar 15 2016, 11:06 PM

Here's some text to paste into the prospect panes (use the source editor), which will reproduce the bug:

<script type="text/javascript">
var CRM = {"config":{"isFrontend":""},"summaryPrint":{"mode":false},"tabSettings":{"active":"summary"}};
</script>

I think we can get rid of the "suspicious activity" warning by setting "CiviCRM: skip IDS check" for all admin and tech roles.

atgo assigned this task to awight.Mar 17 2016, 8:00 PM

Testing:

  1. Added an Activity: Type: Meeting to record 96103. In the description copy-pasted one full page of bulleted text from a google doc. Save successful
  1. Added Activity: Type: Contact - Fundraiser Initiated to record 10617561. Typed content into description, including two bulleted items. Copy pasted 2 URLs. Save successful.
CaitVirtue closed this task as Resolved.Mar 17 2016, 11:24 PM

Based on my testing, I think this is fixed. Marking it resolved.

mmodell removed a subscriber: awight.Jun 22 2017, 9:44 PM